org.apache.ignite.internal.direct.stream.v3

## Class DirectByteBufferStreamImplV3

- java.lang.Object
- - org.apache.ignite.internal.direct.stream.v2.DirectByteBufferStreamImplV2
  - - org.apache.ignite.internal.direct.stream.v3.DirectByteBufferStreamImplV3

All Implemented Interfaces:
  DirectByteBufferStream

    public class DirectByteBufferStreamImplV3
    extends DirectByteBufferStreamImplV2

### Field Summary

### Fields inherited from class org.apache.ignite.internal.direct.stream.v2.DirectByteBufferStreamImplV2

`lastFinished`

### Constructor Summary

Constructors
Constructor and Description
`DirectByteBufferStreamImplV3(MessageFactory msgFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Object` `read(MessageCollectionItemType type, MessageReader reader)`
`AffinityTopologyVersion` `readAffinityTopologyVersion()`
`protected void` `write(MessageCollectionItemType type, Object val, MessageWriter writer)`
`void` `writeAffinityTopologyVersion(AffinityTopologyVersion val)`

### Methods inherited from class org.apache.ignite.internal.direct.stream.v2.DirectByteBufferStreamImplV2

`lastFinished, readBitSet, readBoolean, readBooleanArray, readByte, readByteArray, readChar, readCharArray, readCollection, readDouble, readDoubleArray, readFloat, readFloatArray, readIgniteUuid, readInt, readIntArray, readLong, readLongArray, readMap, readMessage, readObjectArray, readShort, readShortArray, readString, readUuid, remaining, setBuffer, toString, writeBitSet, writeBoolean, writeBooleanArray, writeByte, writeByteArray, writeByteArray, writeChar, writeCharArray, writeCollection, writeDouble, writeDoubleArray, writeFloat, writeFloatArray, writeIgniteUuid, writeInt, writeIntArray, writeLong, writeLongArray, writeLongArray, writeMap, writeMessage, writeObjectArray, writeShort, writeShortArray, writeString, writeUuid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DirectByteBufferStreamImplV3

    public DirectByteBufferStreamImplV3(MessageFactory msgFactory)

Parameters:
  `msgFactory` - Message factory.

### Method Detail

#### writeAffinityTopologyVersion

    public void writeAffinityTopologyVersion(AffinityTopologyVersion val)

Specified by:
  `writeAffinityTopologyVersion` in interface `DirectByteBufferStream`
Overrides:
  `writeAffinityTopologyVersion` in class `DirectByteBufferStreamImplV2`
Parameters:
  `val` - Value.

#### readAffinityTopologyVersion

    public AffinityTopologyVersion readAffinityTopologyVersion()

Specified by:
  `readAffinityTopologyVersion` in interface `DirectByteBufferStream`
Overrides:
  `readAffinityTopologyVersion` in class `DirectByteBufferStreamImplV2`
Returns:
  Value.

#### write

    protected void write(MessageCollectionItemType type,
                         Object val,
                         MessageWriter writer)

Overrides:
  `write` in class `DirectByteBufferStreamImplV2`
Parameters:
  `type` - Type.
  `val` - Value.
  `writer` - Writer.

#### read

    protected Object read(MessageCollectionItemType type,
                          MessageReader reader)

Overrides:
  `read` in class `DirectByteBufferStreamImplV2`
Parameters:
  `type` - Type.
  `reader` - Reader.
Returns:
  Value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022